@import "brand.css";
@import "variables.css";
@import "animations.css";
@import "partials/table.css";
@import "partials/formComponents.css";

* {
    box-sizing: border-box;
}
html, body {
    margin: 0;
    padding: 0;
    overflow: hidden;
    width: 100vw;
    height: 100vh;
}

a {
    --colour: var(--wbs-wbs-dark);
    color: var(--colour);
    cursor: pointer;
    text-decoration: none;
    display: inline-block;

    &:hover {
        transform: scale(1.05);
        text-decoration: underline;
    }

    &.link-btn {
        --bg: var(--wbs-wbs-gradient);
        --colour: var(--wbs-neutral-white);
        display: block;
        width: 100%;
        padding: var(--padding-md);
        background: var(--bg);
        border-radius: var(--border-radius-sm);
        color: var(--colour);
        box-shadow: var(--box-shadow-sm) var(--wbs-neutral-black);

        &:hover {
            text-decoration: none;
        }
    }

    &.dropdown-link {
        cursor: default;

        &:hover {
            transform: scale(1);
            text-decoration: none;
        }
    }
}

button {
    &:hover {
        transform: scale(1.05);
     }
}

a.link-btn, button {
    /* NA */
    &[data-programme-type="0"] {
        --bg: var(--wbs-wbs-dark);

        &.gradient-bg {
            --bg: var(--wbs-wbs-gradient);
        }
    }

    /* PartTimeMba, FullTimeMba */
    &[data-programme-type="783060000"], &[data-programme-type="783060001"] {
        --bg: var(--wbs-mba-light);

        &.gradient-bg {
            --bg: var(--wbs-mba-gradient);
        }
    }

    /* Dba */
    &[data-programme-type="783060002"] {
        --bg: var(--wbs-doctoral-dark);
        
        &.gradient-bg {
            --bg: var(--wbs-doctoral-gradient);
        }
    }

    /* Cbq */
    &[data-programme-type="783060003"] {
        --bg: var(--wbs-masters-dark);

        &.gradient-bg {
            --bg: var(--wbs-masters-gradient);
        }
    }

    /* ExecEdCustom, ExecEdOpen */
    &[data-programme-type="783060004"], &[data-programme-type="783060005"] {
        --bg: var(--wbs-execEd-light);

        &.gradient-bg {
            --bg: var(--wbs-execEd-gradient);
        }
    }
}

.modal {
    .modal-header{
        button {
            box-shadow: none;
        }
    }
}
